// ColorBrushDialog.cpp : implementation file
//

#include "stdafx.h"
#include "CustomBrush.h"
#include "ColorBrushDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

#include"CustomBrushView.h" 
/////////////////////////////////////////////////////////////////////////////
// CColorBrushDialog dialog


CColorBrushDialog::CColorBrushDialog(CCustomBrushView* pParent /*=NULL*/)
	: CDialog(CColorBrushDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CColorBrushDialog)

	pView=pParent;
	m_red = 0;
	m_green = 0;
	m_blue = 0;
	//}}AFX_DATA_INIT
}


void CColorBrushDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CColorBrushDialog)
	DDX_Control(pDX, IDC_EDIT1, m_edit1);
	DDX_Text(pDX, IDC_EDIT1, m_red);
	DDX_Text(pDX, IDC_EDIT2, m_green);
	DDX_Text(pDX, IDC_EDIT3, m_blue);
	DDV_MinMaxByte(pDX, m_blue, 0, 255);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CColorBrushDialog, CDialog)
	//{{AFX_MSG_MAP(CColorBrushDialog)
	ON_BN_CLICKED(IDC_BUTTON1, OnApply)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CColorBrushDialog message handlers

void CColorBrushDialog::OnOK() 
{
	UpdateData(TRUE);
	pView->colorref=RGB(m_red,m_green,m_blue);
	int test=pView->flagBrush;
	pView->DrawRectangle(RGB(m_red,m_green,m_blue),test);
	
	
	CDialog::OnOK();
}

void CColorBrushDialog::OnApply() 
{
		UpdateData(TRUE);
	    pView->colorref=RGB(m_red,m_green,m_blue);
	    int test=pView->flagBrush;
	    pView->DrawRectangle(RGB(m_red,m_green,m_blue),test);
	
}
void CColorBrushDialog::OnCancel() 
{
	    pView->colorref=RGB(0,0,0);
	    int test=pView->flagBrush;
	    pView->DrawRectangle(RGB(0,0,0),test);

	
	CDialog::OnCancel();
}
